Subject: Re: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Juri Linkov <[email-masked]>
Date: Thu, 28 Apr 2022 20:38:25 +0300

>> C-h r g Dired
>> C-s `list
>>
>> finds nothing, missing the occurrence of ‘list-directory’ that is in the
>> same node.
>>
>> What looks exactly (AFAICT) like the backquote you typed at the prompt
>> is NOT the same as the character that precedes "list-directory" in the
>> buffer.  And it is not matched to that character by Isearch.  That
>> character is LEFT SINGLE QUOTATION MARK.
>
> It would be possible to fold certain character groups into equivalence
> classes for isearch in these modes (I'm thinking info-mode and
> help-mode) so that ` and ‘ are treated equivalently -- that might help
> users and shouldn't lead to regressions?

It's possible to enable char-fold search only in Info mode,
but probably this should be left for user customization,
because this problem is not Info-specific: most likely the user
might want ` and ‘ to be treated equivalently pretty much everywhere.
But still if the user want this only in Info, it's very easy to type
C-s M-s ' `list.